/*------------------------------------*\
    #MENU-MAIN
\*------------------------------------*/
/**
 * Main navigation component.
 */
/**
 * hide non visible elements
 */
header input#showMenu {
    display:none;
}

.dropdown input {
    display: none;
}

.brand .line1,
.brand .line2,
.brand .line3 {
    display: block;
    font-family: $drk-font-family-brand;
    color: black;
}

.language-easy-language {
    float:right;
}

.language-easy-language .language-active, .language-easy-language .language-hidden {
    display: none;
}

.c-page-head__title {
    font-size: 1.266666rem;
    line-height: 1.26;
    position:relative;
}

.c-page-head #showSearch {
    display:none;
}

.c-page-head .searchform {
    display:none;
    z-index: 999999;
    position: absolute;
    background-color:white;
}

input[type=checkbox]:checked ~ .searchform {
    display: block;
}

/**** ***/


/* main.css | https://ww-muster.de.master-7rqtwti-dtauldql3kqpc.de-2.platformsh.site/typo3conf/ext/drk_template2016/Resources/Public/Css/main.css?1615802340 */

@media only screen and (min-width: 90.0625em) {
    .c-page-head .c-page-body__column--main {
        /* position: relative; */
        right: 0;
    }
}

.drk-flavour--wasserwacht {
    .c-page-head__logo {
        border-right: 1px solid black;
        max-width: 90px!important;
    }
    .js-sticky.fixed .c-page-head__logo {
        max-width: 40px!important;
        margin-left: 55px;
    }
}

/*** ***/


@mixin mobile-menu {
    /**
     * Mobile Menu
     */
    .c-page-head .c-page-body__column--main {
        position: absolute;
        width: 100%;
        left: auto;
        right: 0;
    }

    .searchbutton {
        position: absolute;
        right: 64px;
        top:4px;
        width: 32px;
        z-index: 9999999999;
    }
    .js-sticky.fixed .searchbutton {
    }

    .c-page-head .searchform {
        top: 0;
        width: 50%;
        height: 53px;
        padding: 5px;
        right: 6rem;
    }

    .js-sticky.fixed.c-page-head .searchform {
        height: 38px;
    }

    .c-page-head .o-form__field {
        min-height: 1.6em;
    }

    .searchbutton .c-search-form__btn-img {
        height: 32px;
    }
    .brand {
        position: absolute;
        color: #554f4a;
        top: 20px;
        left: rem-calc(120);
        font-size: rem-calc(10);
        line-height: 1.1;
        width: rem-calc(120);
    }
    .js-sticky.fixed .brand {
        top: rem-calc(9);
        font-size: rem-calc(10);
        left: rem-calc(102);
        line-height: 1.2;
    }

    header input + ul.dropdown {
        display:none;
    }
    header input:checked + ul.dropdown {
        display:block;
    }

    header .c-page-body__column--aside {
        overflow: hidden;
        position: absolute;
        z-index: 99999;
        width: 100%;
        left: 0px;
        transform: translateX(0px);
        margin-top:0px;
    }

    .c-page-head__logo {
        max-width: 100px;
    }
    .js-sticky.fixed {
        .c-page-head__logo {
            height: 24px;
        }
    }

    #showMenuLabel {
        position: absolute ;
        right: 0;
        z-index:99999;
        height: 70px;
        cursor: pointer;
    }
    .c-page-head__home-link {
        float: left;
    }
    #nav > li.dir {
        position:relative;
        display: inline-block;
        width: 100%;
    }
    #nav > li.dir strong {
        display: block;
        position:relative;
    }
    #nav .main, .navigationSection {
        display: block;
        padding: 10px;
        color: white;
        cursor: pointer;
    }
    .navigationSection {
        background-color: #ecf6fc;
        color: #0075a9;
    }
    #nav, #nav ul, #nav ul li {
        list-style:none;
        margin:0;
        padding:0;
        position: relative;
        width: 100%;
    }
    #nav {
        position:relative;
        background:#0075a9;
    }

    /* new menu stuff */

    .ac-container {
        max-height:100vh;
        margin: 0;
        position: absolute;
        right: 0;
        text-align: left;
        z-index: 99999999999;
        overflow-x:hidden;
        overflow-y: scroll; /* has to be scroll, not auto */
        -webkit-overflow-scrolling: touch;
        top: 50px;
        width: 100vw;
        max-width: 301px;
        margin-bottom: 100px;
    }
    .js-sticky.fixed .ac-container {
        top:50px;
    }

    .ac-container label.nav-more {
        background: rgba(0, 0, 0, 0) none repeat scroll 0 0;
        cursor: pointer;
        display: block;
        font-family: OpenSans,"Arial Narrow",Arial,sans-serif !important;
        font-size: 15px !important;
        height: 30px !important;
        line-height: 21px !important;
        padding: 5px 15px;
        position: absolute;
        right: 5px;
        top: 7px;
        z-index: 20;
    }

    .ac-container label.nav-more:hover {
        background: rgba(255,255,255,.5);
    }

    .ac-container input:checked + label.nav-more,.ac-container input:checked + label.nav-more:hover {
        background: #f1f2f3;
        color: #666;
        text-shadow: 0 1px 1px rgba(255,255,255,0.6);
        box-shadow: 0 0 0 1px rgba(155,155,155,0.3),0 2px 2px rgba(0,0,0,0.1);
        height: 30px;
        line-height: 21px;
        font-size: 13px;
    }

    .ac-container label:hover:after,.ac-container input:checked + label.nav-more:hover:after {
        content: '';
        position: absolute;
        width: 24px;
        height: 24px;
        right: 13px;
        top: 7px;
        background: transparent url(../images/arrow_down.png) no-repeat center center;
    }

    .ac-container input:checked + label.nav-more:hover:after {
        background-image: url(../images/arrow_up.png);
    }

    .ac-container input {
        display: none;
    }

    .ac-container .sub > .nav-title, .ac-container .sub > .ac-small .nav-title,
    .ac-container .sub > a, .ac-container .sub > .ac-small a {
        display: block;
        padding: 10px;
        position: relative;
        background-color: white;
        color: #0075a9;
        text-decoration: none;
    }

    .ac-container > ul > li > ul, .ac-container > ul > li > ul > li> ul > li > ul {
        background: rgba(255,255,255,0.5);
        margin-top: -1px;
        overflow: hidden;
        height: 0;
        position: relative;
        z-index: 10;
        -webkit-transition: height 0.3s ease-in-out,box-shadow 0.6s linear;
        -moz-transition: height 0.3s ease-in-out,box-shadow 0.6s linear;
        -o-transition: height 0.3s ease-in-out,box-shadow 0.6s linear;
        -ms-transition: height 0.3s ease-in-out,box-shadow 0.6s linear;
        transition: height 0.3s ease-in-out,box-shadow 0.6s linear;
    }

    .ac-container article p {
        font-style: normal;
        color: #777;
        line-height: 23px;
        font-size: 10px;
        padding: 20px;
        text-shadow: 1px 1px 1px rgba(255,255,255,0.8);
        font: normal normal 12px 'OpenSans';
    }

    .ac-container input:checked ~ ul.ac-small, .ac-container input:checked ~ ul.ac-small > li> ul > li > ul.sc-small {
        -webkit-transition: height 0.5s ease-in-out,box-shadow 0.1s linear;
        -moz-transition: height 0.5s ease-in-out,box-shadow 0.1s linear;
        -o-transition: height 0.5s ease-in-out,box-shadow 0.1s linear;
        -ms-transition: height 0.5s ease-in-out,box-shadow 0.1s linear;
        transition: height 0.5s ease-in-out,box-shadow 0.1s linear;
        box-shadow: 0 0 0 1px rgba(155,155,155,0.3);
    }

    .ac-container input:checked ~ ul.ac-small, .ac-container input:checked ~ ul.ac-small > li> ul > li > ul.sc-small {
        height: auto;
    }

    .ac-container input:checked ~ > ul > li > ul.ac-medium {
        height: auto;
    }

    .ac-container input:checked ~ > ul > li > ul.ac-large {
        height: auto;
    }

    .ac-container .sub {

        & > .nav-title,
        & > .ac-small {
            > a {

                &:hover,
                &:focus {
                    text-decoration: underline;
                }
            }
            > .is-highlighted > a {
                text-decoration: underline;
            }

        }
    }

    @media (max-width: 1024px) {
        .brand {
            left: rem-calc(120);
            font-size: rem-calc(10);
            line-height: 1.1;
        }
        #nav {
            top: rem-calc(80);
        }
        .js-sticky.fixed {
            #nav {
                top: rem-calc(40);
            }
            .c-page-head__logo {
                height: rem-calc(24);
            }
            .brand {
                font-size: rem-calc(8)
            }
        }
    }

}

.drk-flavour--wasserwacht, .drk-flavour--drk-hamburger, .drk-flavour--brk-hamburger, .drk-flavour--drk-hamburger-2021 {
    @include mobile-menu;
}

.drk-flavour--wasserwacht {
    @media (min-width: 1025px) {
        .brand {
            font-size: 1.266666rem;
            line-height: 1;
            width: rem-calc(205);
        }
    }
}

.drk-flavour--drk-hamburger-2021 {
    #nav {
        background: #fff;
        bottom: 0;
        box-shadow: -5px 12px 20px 0 rgba(0,0,0,0.5);
        width: rem-calc(310);
        overflow-y: auto;
        padding: 0 0 10px;
        position: fixed;
        top: rem-calc(100);
        transition: .25s all ease-in-out;
        z-index: 5000;
    }

    #nav .main,
    .navigationSection {

        color: $drk-color-blue;
        display: block;
        padding: .5rem;
        position: relative;
        height: 44px;
        transition: all 0.3s ease-in-out 0s;
        background-color: transparent;

        &:hover,
        &:focus {
            text-decoration: underline;
        }

    }

    .ac-container .dir {
        & > .main.is-highlighted,
        & > .main:hover,
        & > .main:focus {
            background-color: #ecf6fc !important;
            outline: 0;
        }
    }

    .ac-container .sub {
        & > .nav-title,
        & > .ac-small {
           a {
                color: $drk-color-blue;

                &:hover,
                &:focus {
                    text-decoration: underline;
                    outline: 0;
                }
            }
           & > .is-highlighted > a {
                text-decoration: underline;
            }

        }

        & > .nav-title.is-highlighted,
        & > .nav-title:hover,
        & > .nav-title:focus
        {
            font-weight: bold;
        }
    }

    .ac-container input:checked ~ ul.ac-small, .ac-container input:checked ~ ul.ac-small > li> ul > li > ul.sc-small {
        box-shadow: none;
        padding-left: .5rem !important;
    }

    @media (min-width: 1025px) {
        .brand {
            left: rem-calc(220);
            font-size: 1.266666rem;
            line-height: 1;
            width: rem-calc(205);
        }
        .js-sticky.fixed .brand {
            left: rem-calc(125);
            top: rem-calc(7);
        }
        .c-page-head__logo {
            max-width: rem-calc(220);
            margin-left: rem-calc(20);
        }
        .js-sticky.fixed {
            .c-page-head__logo {
                height: rem-calc(30);
                max-width: rem-calc(100);
                margin-left: rem-calc(20);
            }

            #nav {
                top: rem-calc(50);
            }
        }
    }
}

.drk-flavour--drk, .drk-flavour--brk, .drk-flavour--drk-2021 {
    @media (max-width: 1024px) {
        @include mobile-menu;
    }
    /**
     * Desktop / Tablet Menu
     */
    @media (min-width: 1025px) {
        .c-page-head .o-section__wrapper {
            position: relative;
        }
        .c-page-head .searchform {
            position: absolute;
            top: 104px;
            width: 300px;
            height: 49px;
            padding: 5px;
            right: 32px;
        }

        .js-sticky.fixed.c-page-head .searchform {
            top: 54px;
            height: 47px;
        }

        .searchbutton {
            position: absolute;
            top: 54px;
            right: 32px;
        }
        .js-sticky.fixed .searchbutton {
            top: 15px;
        }

        .searchbutton .c-search-form__btn-img {
            height: 32px;
            width: 32px;
        }
        .brand {
            position: absolute;
            top: 19px;
            left: 215px;
            width: 250px;
            line-height: 1;
        }

        .js-sticky.fixed .brand {
            top: 9px;
            left: 89px;
            font-size: 10px;
        }

        header #showMenuLabel, .ac-container label.nav-more {
            display: none;
        }
        header.c-page-head .c-page-body__column.c-page-body__column--aside {
            margin-top: 0px;
        }

        .js-sticky.fixed .c-page-head__logo {
            height: 30px;
            width: 80px;
        }

        header {
            clear: both;
        }

        ul.dropdown {
            font-size: 18px;
            font-family: $drk-font-family;
            letter-spacing: .5px;
            position: relative;
            z-index: 2000;
            width: 100%;
            top: 40px;
            left: 142px;
            transition-property: top;
            transition-duration: 0.5s;
        }

        .fixed ul.dropdown {
            top: 0;

        }

        ul.dropdown > .dir {
            padding-right: 10px;
            padding-left: 10px;
            background-color: white;
            z-index: 9999;
            float: left;
            background: transparent;
        }

        ul.dropdown > .dir > .column {
            display: table;
            transform: translate(-39.5%, 48px);
            border: 1px solid silver;
            background-color: white;
            padding-top: 20px;
            padding-bottom: 20px;
        }

        ul.dropdown > .dir > .column > li {
            padding-left: 10px;
            padding-right: 10px;
        }

        ul.dropdown > .dir:hover > strong:after {
            content: ' ';
            background-color: white;
            display: block;
            margin-left: -10px;
            margin-right: -10px;
            position: relative;
            height: 1.6em;
            z-index: 9999;
        }

        ul.dropdown > .dir > strong {
            margin-top: 5px;
            margin-right: 20px;
            margin-left: 20px;
            margin-bottom: 5px;
        }

        ul.dropdown .dir .dir a {
            font-size: 12px;
        }

        ul.dropdown a:link, ul.dropdown a:visited {
            font-weight: 400;
            text-decoration: none;
        }

        ul.dropdown a:hover {
            text-decoration: none;
        }

        ul.dropdown li {
            float: left;
            padding: 0 10px;
            vertical-align: middle;
        }

        ul.dropdown li a,
        ul.dropdown li .nav-title
        ul.dropdown li label.main {
            display: block;
            padding: 0 5px;
            color: #554f4a;
        }

        label.main, .no-sub > a.main {
            display: block;
            padding-top: 1rem;
            padding-bottom: 20px;
            position: relative;
        }
        li:hover label.main:before {
            content: '';
            position: absolute;
            background-color: white;
            width: 127%;
            height: 2px;
            top: 45px;
            z-index: 9999;
            left: -10px;
        }

        ul.dropdown li a:hover {
            color: #0075a9;
        }

        ul.dropdown li.hover, ul.dropdown li:hover {
            cursor: default;
            position: relative;
            z-index: 599;
        }

        ul.dropdown li.last ul li {
            float: right;
        }

        ul.dropdown li:hover > ul {
            visibility: visible;
        }

        ul.dropdown ul {
            font-size: 12px;
            left: 0;
            letter-spacing: normal;
            /*opacity: 0.93;*/
            padding: 0 5px;
            position: absolute;
            top: 100%;
            visibility: hidden;
            width: 1160px;
            z-index: 598;
        }

        ul.dropdown ul .dir {
            background-image: none;
            font-size: 14px;
        }

        ul.dropdown ul a,
        ul.dropdown ul label.main {
            padding: 3px 10px;
        }

        ul.dropdown > .dir {
            border-left: 1px solid transparent;
            border-right: 1px solid transparent;
            border-top: 3px solid transparent;
            float: left;
        }

        ul.dropdown > .dir:hover {
            border-left: 1px solid silver;
            border-right: 1px solid silver;
            border-top: 3px solid #0075a9;
        }

        ul.dropdown ul li {
            float: none;
            font-weight: 400;
        }

        ul.dropdown ul li.dir a {
            padding-top: 5px;
            padding-bottom: 5px;
        }

        ul.dropdown ul ul {
            left: 99%;
            padding: 0;
            text-transform: none;
            top: 1px;
        }

        ul.dropdown li.dir li.dir {
            padding-top: 15px;
            padding-bottom: 15px;
        }

        ul.dropdown, ul.dropdown li, ul.dropdown ul {
            list-style: none;
            margin: 0;
            padding: 0;
        }

        ul.dropdown-columnar li.hover ul, ul.dropdown-columnar li:hover ul {
            visibility: visible !important;
        }

        ul.dropdown-columnar > li > ul > li {
            position: static;
            width: 19.0%;
        }

        ul.dropdown-columnar ul ul {
            display: block !important;
            position: static;
            width: auto !important;
        }

        ul.dropdown-columnar ul ul li {
            float: none;
        }

        ul.dropdown-linear li.hover, ul.dropdown-linear li:hover {
            position: static;
        }

        ul.dropdown-linear ul li {
            float: left;
        }

        ul.dropdown .navigationSection {
            display: block;
            font-weight: bold;
            margin-top: 12px;
            margin-bottom: 6px;
            border-bottom: 1px solid silver;
            padding: 5px;
        }
        ul.dropdown .navigationSectionError {
            background-color: red;
            color: white;
        }
        ul.dropdown .navigationSectionError::after {
            display: block;
            content: "Section muss Unterseiten haben!!!"
        }

        ul.dropdown > .dir.no-sub:hover {
            border-left-color: transparent;
            border-right-color: transparent;
        }

        ul.dropdown > .dir.no-sub:hover > strong::after {
            display: none;
        }
    }
}
